# TdApi.ToggleGroupCallParticipantIsMuted (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ToggleGroupCallParticipantIsMuted

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ToggleGroupCallParticipantIsMuted

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ToggleGroupCallParticipantIsMuted

Enclosing class:
  TdApi

public static final class TdApi.ToggleGroupCallParticipantIsMuted extends TdApi.Function<TdApi.Ok>
Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`groupCallId`
Group call identifier.
`boolean`
`isMuted`
Pass true to mute the user; pass false to unmute the them.
`TdApi.MessageSender`
`participantId`
Participant identifier.

## Constructor Summary

Constructors
Constructor
Description
`ToggleGroupCallParticipantIsMuted()`
Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves.
`ToggleGroupCallParticipantIsMuted(int groupCallId, TdApi.MessageSender participantId, boolean isMuted)`
Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves.
`ToggleGroupCallParticipantIsMuted(DataInput input)`
Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### participantId

public TdApi.MessageSender participantId
Participant identifier.

### isMuted

public boolean isMuted
Pass true to mute the user; pass false to unmute the them.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ToggleGroupCallParticipantIsMuted

public ToggleGroupCallParticipantIsMuted()
Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves. Returns `Ok`

### ToggleGroupCallParticipantIsMuted

public ToggleGroupCallParticipantIsMuted(int groupCallId, TdApi.MessageSender participantId, boolean isMuted)
Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves. Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier.
  `participantId` - MessageSender Participant identifier.
  `isMuted` - boolean Pass true to mute the user; pass false to unmute the them.

### ToggleGroupCallParticipantIsMuted

public ToggleGroupCallParticipantIsMuted(DataInput input) throws IOException
Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`